import 'dart:async';

import 'package:cloud_firestore/cloud_firestore.dart';

import 'models/models.dart';

abstract class DescargaRepository {
  Future<DocumentReference> addNewDescarga(Descarga descarga);

  Future<void> deleteDescarga(Descarga descarga);

  Stream<List<Descarga>> descargas();

  Future<void> updateDescarga(Descarga descarga);

  Future<void> remanenteFuturo(String documentId, int remanenteFuturo);
}
